README - RubyInstaller

RubyInstaller

The goal of the RubyInstaller project is to provide users and developers working on Windows systems with an easy way to quickly get started using Ruby by providing a Windows installer containing a fully functioning baseline MRI (Matz' Ruby Implementation) Ruby environment tuned for Windows systems.

While the One-Click Ruby Installer allows one to easily enhance and customize their Ruby installation using Ruby's standard RubyGems packaging system, we also provide tools such as the Development Kit that enable both users and developers to build native Ruby C extensions on their local Windows systems. Although building native Ruby C extensions on Windows has historically been a problem, we believe the combination of our One-Click Ruby Installer, our development tools, and the growing community of Ruby on Windows users and projects will help make this a thing of the past.

This help file contains documentation for the Ruby Core and Standard libraries. For additional information, check the links below:

  • Getting Started

  • Users Guide

  • The RubyInstaller Wiki

Generated by RDoc 3.12.2.

Generated with the Darkfish Rdoc Generator 3.